# $Revision: 1.38 $, $Date: 2005/09/06 22:05:07 $
#
# Conditional build:
%bcond_without	gimp	# without xpcd-gate plugin (not ready for gimp 1.3)
%bcond_without	svga	# don't build svgalib viewer
#
Summary:	PhotoCD tool collection
Summary(pl):	Narzdzia do obsugi formatu PhotoCD
Name:		xpcd
Version:	2.09
Release:	4
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.bytesex.org/releases/xpcd/%{name}-%{version}.tar.gz
# Source0-md5:	7159ba4935781fd6a21c64f750ebf27d
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-dirs.patch
Patch1:		%{name}-gimp.patch
URL:		http://linux.bytesex.org/fbida/xpcd.html
BuildRequires:	Xaw3d-devel >= 1.3E
BuildRequires:	autoconf
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.2}
BuildRequires:	libjpeg-devel
BuildRequires:	libpcd-devel >= 1:1.0.1
BuildRequires:	libtiff-devel
BuildRequires:	libtool
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir)/plug-ins
%endif
%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
This is a PhotoCD tool collection. The main application - xpcd - is a
comfortable, X11-based PhotoCD decoding/viewing program. Also included
is pcdtoppm, this is a command line based PhotoCD-to-PPM/JPEG
converter.

%description -l pl
Zestaw narzdzi do obrbki formatu PhotoCD. Gwna aplikacja (xpcd)
jest programem pod X do dekodowania i ogldania obrazkw PhotoCD.
pcdtoppm jest konwerterem na ppm i jpg dziaajcym z linii polece.

%package svga
Summary:	svgalib viewer for PhotoCD images
Summary(pl):	Przegldarka PhotoCD korzystajca z svgalib
Group:		Applications/Graphics

%description svga
svgalib viewer for PhotoCD images.

%description svga -l pl
Przegldarka obrazkw PhotoCD korzystajca z svgalib.

%package gimp
Summary:	GIMP plugin, makes xpcd and gimp work hand in hand
Summary(pl):	Wtyczka do GIMP-a dodajca obsug xpcd
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description gimp
This is a GIMP plugin which allows xpcd to load images directly into
The GIMP. If you'll open a PhotoCD file within gimp, it will be passed
to xpcd.

%description gimp -l pl
Wtyczka do GIMP-a, pozwalajca wczytywa obrazki PhotoCD bezporednio
do GIMP-a. Otworzenie GIMP-em pliku PhotoCD spowoduje przekazanie go
do xpcd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure \
	%{!?with_svga:--without-svga}

%{__make} \
	SUBDIRS="xpcd test"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	SUBDIRS="xpcd test" \
	DESTDIR=$RPM_BUILD_ROOT \
	SUID_ROOT=

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/pcdtoppm
%attr(755,root,root) %{_bindir}/xpcd
%{_datadir}/xpcd
%{_appdefsdir}/Xpcd-2
%lang(da) %{_appdefsdir}/da/Xpcd-2
%lang(de) %{_appdefsdir}/de/Xpcd-2
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_pixmapsdir}/*.xpm
%{_mandir}/man1/pcdtoppm.1*
%{_mandir}/man1/xpcd.1*

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcdview
%{_mandir}/man1/pcdview.1*
%endif

%if %{with gimp}
%files gimp
%defattr(644,root,root,755)
%attr(755,root,root) %{gimpplugindir}/xpcd-gate
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpcd.spec,v $
Revision 1.38  2005/09/06 22:05:07  arekm
- rel 4

Revision 1.37  2004/11/11 01:25:17  ankry
- rel. 3

Revision 1.36  2004/07/22 10:56:35  ankry
- fixed desktop, rel. 2

Revision 1.35  2004/07/12 09:21:20  ankry
- fixed epoch issues for libexif/libpcd

Revision 1.34  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.33  2004/04/12 14:21:16  qboosh
- updated to 2.09
- removed obsolete gimp1.2,version,env-overflow patches
- updated gimp patch (incl. fix for gimp 2.0)
- moved some files, FHS,app-defaults patches replaced by single dirs patch

Revision 1.32  2004/04/11 22:09:07  qboosh
- updated URLs, switched to vfolders

Revision 1.31  2004/03/19 16:46:15  grzegol
- added epoch to gimp requires

Revision 1.30  2004/01/30 19:28:59  eothane
- bconds

Revision 1.29  2003/09/06 21:13:52  ankry
- proper app-defaults dirs (-app-defaults patch), rel. 12

Revision 1.28  2003/08/18 22:02:43  qboosh
- added version patch (version number fixes from Debian) and env-overflow patch
  (fix for buffer overflow for HOME variable from Debian; overflow was harmless
   in PLD (svgalib w/o suid apps), but programs should never SEGV on bad input)
- release 10

Revision 1.27  2003/08/01 21:18:30  qboosh
- s/gimp-config/gimptool/ (needed for 1.3.17+), also in gimp patch
- build on libpcd 1.0.1
- release 9

Revision 1.26  2003/05/28 13:03:11  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:28:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/05/11 13:09:34  qboosh
- added gimp1.2 patch (changes from xpcd-2.08-gimp1.2) to update for gimp 1.2
  w/o COMPAT_CRUFT
- modified gimp patch to work with gimp 1.2 and 1.3 (I hope)

Revision 1.23  2003/05/09 23:49:44  qboosh
- updated URLs
- removed shared patch, updated spec - now it uses external libpcd
- added _without_gimp bcond
- force rebuild with new libpcd and Xaw3d

Revision 1.22  2003/02/18 17:22:25  qboosh
- moved xpcd binary back to /usr (but X-resources must stay in /usr/X11R6)
- autodetect gimp plugin path

Revision 1.21  2002/12/02 11:06:29  ankry
- massive cleaning

Revision 1.20  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.19  2002/11/11 03:38:10  ankry
- added desktop and icon, rel. 7

Revision 1.18  2002/06/18 21:49:43  qboosh
- fixed on ix86

Revision 1.17  2002/06/18 21:08:56  kloczek
- cosmetics in %files,
- release 6.

Revision 1.16  2002/06/18 20:20:34  marcus
- fixed on ppc

Revision 1.15  2002/06/12 20:57:03  kloczek
- use new %doc and cosmetics.

Revision 1.14  2002/05/21 23:15:08  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/24 22:23:59  marcus
- removed ppc - svga4ggi-devel doesn't provide vgagl.h

Revision 1.12  2002/04/24 22:21:43  marcus
- svgalib is on alpha and ppc too

Revision 1.11  2002/04/12 18:42:23  marcus
- rel.5.

Revision 1.10  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/09 19:01:57  qboosh
- BuildRequires: libtool (used explicitely in makefiles)
- buildrequire svgalib-devel only on x86

Revision 1.7  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2001/03/14 17:44:16  qboosh
- 755 on .la file
- release 4

Revision 1.5  2001/03/07 19:04:00  qboosh
- spec cleanup

Revision 1.4  2001/03/07 00:56:16  qboosh
- added missing dir: %%{_xlibdir}/X11/xpcd
- pl translations
- release 3

Revision 1.3  2001/01/26 18:55:42  qboosh
- fixed libtool script
- release 2

Revision 1.2  2001/01/25 20:03:52  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.1  2001/01/05 23:43:36  qboosh
- prepared for PLD
- build both shared and static libraries
- libpcd*, -svga and -gimp subpackages
